<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PointerContainingStream (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PointerContainingStream (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PointerContainingStream.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hdgf/streams/CompressedStreamStore.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/streams/PointerContainingStream.html" target="_top">Frames</a>
        </li>
        <li><a href="PointerContainingStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hdgf.streams</div>
    <h2 title="Class PointerContainingStream" class="title">Class PointerContainingStream</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
                       title="class in org.apache.poi.hdgf.streams">org.apache.poi.hdgf.streams.Stream</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hdgf.streams.PointerContainingStream</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hdgf/streams/TrailerStream.html"
                           title="class in org.apache.poi.hdgf.streams">TrailerStream</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">PointerContainingStream</span>
extends <a href="../../../../../org/apache/poi/hdgf/streams/Stream.html" title="class in org.apache.poi.hdgf.streams">Stream</a></pre>
                <div class="block">A stream that holds pointers, possibly in addition to some
                    other data too.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html#PointerContainingStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">PointerContainingStream</a></span>(<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                    <a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                       title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store,
                                    <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                       title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
                                       title="class in org.apache.poi.hdgf.pointers">PointerFactory</a>&nbsp;pointerFactory)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html#findChildren-byte:A-">findChildren</a></span>(byte[]&nbsp;documentData)</code>
                                    <div class="block">Performs a recursive search, identifying the pointers we contain,
                                        creating the Streams for where they point to, then searching
                                        those if appropriate.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html#getChildPointers--">getChildPointers</a></span>()</code>
                                    <div class="block">Returns all the pointers that we contain</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
                                        title="class in org.apache.poi.hdgf.streams">Stream</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html#getPointedToStreams--">getPointedToStreams</a></span>()</code>
                                    <div class="block">Returns all the "child" streams.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hdgf.streams.Stream">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hdgf.streams.<a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
                                        title="class in org.apache.poi.hdgf.streams">Stream</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#Z:Z_getContentsLength--">_getContentsLength</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/streams/Stream.html#Z:Z_getStore--">_getStore</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/streams/Stream.html#createStream-org.apache.poi.hdgf.pointers.Pointer-byte:A-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">createStream</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/streams/Stream.html#getPointer--">getPointer</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/streams/Stream.html#getStore--">getStore</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PointerContainingStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PointerContainingStream</h4>
                                <pre>protected&nbsp;PointerContainingStream(<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                  <a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                     title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store,
                                  <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                     title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory,
                                  <a href="../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
                                     title="class in org.apache.poi.hdgf.pointers">PointerFactory</a>&nbsp;pointerFactory)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getChildPointers--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChildPointers</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                       title="class in org.apache.poi.hdgf.pointers">Pointer</a>[]&nbsp;getChildPointers()</pre>
                                <div class="block">Returns all the pointers that we contain</div>
                            </li>
                        </ul>
                        <a name="getPointedToStreams--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPointedToStreams</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
                                                    title="class in org.apache.poi.hdgf.streams">Stream</a>[]&nbsp;getPointedToStreams()</pre>
                                <div class="block">Returns all the "child" streams.
                                    These are all the streams pointed to by the pointers
                                    that we contain.
                                </div>
                            </li>
                        </ul>
                        <a name="findChildren-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>findChildren</h4>
                                <pre>public&nbsp;void&nbsp;findChildren(byte[]&nbsp;documentData)</pre>
                                <div class="block">Performs a recursive search, identifying the pointers we contain,
                                    creating the Streams for where they point to, then searching
                                    those if appropriate.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PointerContainingStream.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hdgf/streams/CompressedStreamStore.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/streams/PointerContainingStream.html" target="_top">Frames</a>
        </li>
        <li><a href="PointerContainingStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
